Package com.ads.mm.db.dao

# Class DBColumn

java.lang.Object
com.ads.mm.db.dao.DBComponent
com.ads.mm.db.dao.DBColumn

public class DBColumn extends DBComponent
This class consists of methods relating to DBColumn object such as ColumnName, ColumnClass, ColumnAlias, Audit Details, Maximum Value, Minimum Value,
percentNullValue, primaryKeyFlag, logicalColumnName, usedInGapAnalysis, userDefinedFields etc....

Author:
  AnalytiX DS

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBColumn()`
  `DBColumn(String colName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DBColumn`
  `addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)`
  It will not add association to this object as it is being used internally.
  `DBColumn`
  `addColumnIndex(DBIndex columnIndex)`
  `DBColumn`
  `addColumnValidValues(com.icc.codesetmanager.vo.CodeVo validValue)`
  `DBColumn`
  `addExtendedProperty(KeyValue systemKeyValuesVo)`
  `void`
  `addForeignKeyColumnName(String foreignKeyColumnName)`
  Appends the foreignKeyColumnName as specified.
  `void`
  `addForeignKeyTableName(String foreignKeyTableName)`
  Appends the Column foreignKeyTableName as specified.
  `DBColumn`
  `addTag(Tag tagvo)`
  `DBColumn`
  `addValidValues(com.icc.codesetmanager.vo.CodeVo validValue)`
  `protected Object`
  `clone()`
  clone method creates a copy of the object.
  `DBColumn`
  `createCopy()`
  `boolean`
  `equals(Object obj)`
  equals method used to compare objects and return boolean value as true or false.
  `String`
  `getAssociatedBusinessTerm()`
  `int`
  `getAssociatedBusinessTermId()`
  `List<com.ads.association.export.model.ExportedAssociation>`
  `getAssociationsList()`
  It will not return any associations particular to this object as it is being used internally.
  `String`
  `getBusinessKeyFlag()`
  Returns the Column businessKeyFlag.
  `com.icc.codesetmanager.vo.CodeVo`
  `getCodeValue(String codeName, String codeValue)`
  `com.icc.codesetmanager.vo.CodeVo`
  `getCodeValueById(String codeId)`
  `String`
  `getColumnAlias()`
  Returns the columnAlias
  `String`
  `getColumnClass()`
  Returns the columnClass.
  `String`
  `getColumnComments()`
  Returns the columnComments.
  `DBIndex`
  `getColumnIndex(String indexName)`
  `List<DBIndex>`
  `getColumnIndexes()`
  `String`
  `getColumnName()`
  Returns the columnName.
  `String`
  `getCreatedBy()`
  Returns the createdBy.
  `Calendar`
  `getCreatedDatetime()`
  Returns the createdDatetime.
  `String`
  `getDataDomain()`
  Returns the Column dataDomain.
  `Calendar`
  `getDataProfileEndDate()`
  `String`
  `getDataProfileJobFailReason()`
  `String`
  `getDataProfileJobState()`
  `int`
  `getDataProfileScoreId()`
  `Calendar`
  `getDataProfileStartDate()`
  `float`
  `getDataQualityScore()`
  `String`
  `getDatatype()`
  Returns the datatype.
  `String`
  `getDBDefaultValue()`
  Returns the Column dbDefaultValue.
  `DBEnvironment.DBOperation`
  `getDBOperation()`
  Returns the dbOperation.
  `DBOperationHelper`
  `getDbOperationHelper()`
  Returns the dbOperationHelper.
  `DBOperationHelper`
  `getDBOperationHelper()`
  Returns the dbOperationHelper.
  `String`
  `getDeclarationPath()`
  `String`
  `getDefinition()`
  Returns the Column definition.
  `String`
  `getDqToolProfileId()`
  `DBTable.EntityBaseType`
  `getEntityBaseType()`
  Returns the entityBaseType.
  `String`
  `getETLDefaultValue()`
  Returns the Column etlDefaultValue.
  `String`
  `getExpandedLogicalName()`
  `List<KeyValue>`
  `getExtendedProperties()`
  `String`
  `getFileStartingPosition()`
  Returns the fileStartingPosition.
  `String`
  `getForeignKeyColumnName()`
  Returns the foreignKeyColumnName.
  `String`
  `getForeignKeyName()`
  Returns the Column foreignKeyName.
  `String`
  `getForeignKeyTableName()`
  Returns the Column foreignKeyTableName.
  `String`
  `getForeignReferenceId()`
  Returns the foreignReferenceId.
  `String`
  `getIncludeInDataProfile()`
  `int`
  `getInsertOrder()`
  Returns the insertOrder.
  `String`
  `getIntendedDesc()`
  Returns the Column intended description.
  `String`
  `getIsPublished()`
  Returns the isPublished value.
  `String`
  `getLastModifiedBy()`
  Returns the lastModifiedBy.
  `Calendar`
  `getLastModifiedDatetime()`
  Returns the lastModifiedDatetime.
  `String`
  `getLength()`
  Returns the Column length.
  `String`
  `getLogicalColumnName()`
  Returns the Column logicalColumnName.
  `String`
  `getMaximumValue()`
  Returns the column maximumValue.
  `String`
  `getMetadataSource()`
  Returns the metadataSource.
  `String`
  `getMinimumValue()`
  Returns the Column minimumValue.
  `String`
  `getPercentNullValue()`
  Returns the Column percentNullValue.
  `String`
  `getPhysicalColumnName()`
  `String`
  `getPrecision()`
  Returns the Column precision.
  `String`
  `getPrefix()`
  Returns the column prefix.
  `String`
  `getPrimaryKeyName()`
  Returns the primaryKeyName.
  `String`
  `getPsudoCode()`
  Returns the psudoCode.
  `String`
  `getReferenceId()`
  Returns the referenceId.
  `DBTable`
  `getReferenceTable()`
  `long`
  `getRowCount()`
  `String`
  `getScale()`
  Returns the Column scale.
  `int`
  `getSDIClassificationId()`
  `List<SDIClassification>`
  `getSdiClassifications()`
  `String`
  `getSdiDescription()`
  Returns the sdiDescription.
  `int`
  `getSTCMId()`
  Returns the stcmId.
  `String`
  `getStorageType()`
  Returns the storageType.
  `DBTable`
  `getTable()`
  Returns the DBTable Object
  `List<Tag>`
  `getTags()`
  `String`
  `getTransformationScope()`
  Returns the transformationScope.
  `String`
  `getTransName()`
  Returns the transName.
  `String`
  `getUsedInGapAnalysis()`
  Returns the usedInGapAnalysis value.
  `Object`
  `getUserData()`
  Returns the userData.
  `String`
  `getUserDefined1()`
  Returns the userDefined1 Field.
  `String`
  `getUserDefined10()`
  Returns the userDefined10 Field.
  `String`
  `getUserDefined2()`
  Returns the userDefined2 Field.
  `String`
  `getUserDefined3()`
  Returns the userDefined3 Field.
  `String`
  `getUserDefined4()`
  Returns the userDefined4 Field.
  `String`
  `getUserDefined5()`
  Returns the userDefined5 Field.
  `String`
  `getUserDefined6()`
  Returns the userDefined6 Field.
  `String`
  `getUserDefined7()`
  Returns the userDefined7 Field.
  `String`
  `getUserDefined8()`
  Returns the userDefined8 Field.
  `String`
  `getUserDefined9()`
  Returns the userDefined9 Field.
  `List<com.icc.codesetmanager.vo.CodeVo>`
  `getValidValues()`
  `int`
  `hashCode()`
  hashCode method is used to generate integer code corresponding to the Object.
  `boolean`
  `isElnExpanded()`
  `boolean`
  `isForeignKeyFlag()`
  Returns the Column foreignKeyFlag.
  `boolean`
  `isIdentityFlag()`
  Returns the identityFlag.
  `boolean`
  `isNaturalKeyFlag()`
  Returns the Column naturalKeyFlag.
  `boolean`
  `isNullableFlag()`
  Returns the nullableFlag value.
  `boolean`
  `isPrimaryKeyFlag()`
  Returns the Column primaryKeyFlag.
  `boolean`
  `isSdiFlag()`
  Returns the sdiFlag value.
  `boolean`
  `isValid()`
  Returns the valid value.
  `void`
  `setAssociatedBusinessTerm(String associatedBusinessTerm)`
  `void`
  `setAssociatedBusinessTermId(int associatedBusinessTermId)`
  `DBColumn`
  `setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)`
  It will not set any associations particular to this object as it is being used internally.
  `void`
  `setBusinessKeyFlag(String businessKeyFlag)`
  Sets Column businessKeyFlag as specified.
  `void`
  `setColumnAlias(String columnAlias)`
  Sets the columnAlias as specified.
  `void`
  `setColumnClass(String columnClass)`
  Sets the columnClass as specified.
  `void`
  `setColumnComments(String columnComments)`
  Sets the columnComments as specified.
  `DBColumn`
  `setColumnIndexes(List<DBIndex> columnIndexes)`
  `void`
  `setColumnName(String columnName)`
  Sets the columnName as specified.
  `void`
  `setCreatedBy(String createdBy)`
  Sets the createdBy as specified.
  `void`
  `setCreatedDatetime(Calendar createdDatetime)`
  Sets the createdDatetime as specified.
  `void`
  `setDataDomain(String dataDomain)`
  Sets the Column dataDomain as specified.
  `void`
  `setDataProfileEndDate(Calendar dataProfileEndDate)`
  `void`
  `setDataProfileJobFailReason(String dataProfileJobFailReason)`
  `void`
  `setDataProfileJobState(String dataProfileJobState)`
  `void`
  `setDataProfileScoreId(int dataProfileScoreId)`
  `void`
  `setDataProfileStartDate(Calendar dataProfileStartDate)`
  `void`
  `setDataQualityScore(float dataQualityScore)`
  `void`
  `setDatatype(String datatype)`
  Sets the datatype as specified.
  `void`
  `setDBDefaultValue(String dbDefaultValue)`
  Sets the Column dbDefaultValue as specified.
  `void`
  `setDBOperation(DBEnvironment.DBOperation dbOperation)`
  Sets the dbOperation as specified.
  `void`
  `setDbOperationHelper(DBOperationHelper dbOperationHelper)`
  Sets the transformationScope as specified.
  `void`
  `setDBOperationHelper(DBOperationHelper dbOperationStatus)`
  Sets the dbOperationHelper as specified.
  `void`
  `setDeclarationPath(String declarationPath)`
  `void`
  `setDefinition(String definition)`
  Sets the Column definition as specified.
  `void`
  `setDqToolProfileId(String dqToolProfileId)`
  `void`
  `setElnExpanded(boolean elnExpanded)`
  `void`
  `setEntityBaseType(DBTable.EntityBaseType entityBaseType)`
  Sets the entityBaseType as specified.
  `void`
  `setETLDefaultValue(String etlDefaultValue)`
  Sets the Column etlDefaultValue as specified.
  `void`
  `setExpandedLogicalName(String expandedLogicalName)`
  `DBColumn`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  `void`
  `setFileStartingPosition(String fileStartingPosition)`
  Sets the fileStartingPosition as specified.
  `void`
  `setForeignKeyColumnName(String foreignKeyColumnName)`
  Sets the foreignKeyColumnName as specified.
  `void`
  `setForeignKeyFlag(boolean foreignKeyFlag)`
  Sets the Column foreignKeyFlag as specified.
  `void`
  `setForeignKeyName(String foreignKeyName)`
  Sets the foreignKeyName as specified.
  `void`
  `setForeignKeyTableName(String foreignKeyTableName)`
  Sets the Column foreignKeyTableName as specified.
  `void`
  `setForeignReferenceId(String foreignReferenceId)`
  Sets the foreignReferenceId as specified.
  `void`
  `setIdentityFlag(boolean identityFlag)`
  Sets the identityFlag as specified.
  `void`
  `setIncludeInDataProfile(String includeInDataProfile)`
  `void`
  `setInsertOrder(int insertOrder)`
  Sets the insertOrder as specified.
  `void`
  `setIntendedDesc(String intendedDesc)`
  Sets the Column Intended Description.
  `void`
  `setIsPublished(String isPublished)`
  Sets the isPublished as specified.
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  Sets the lastModifiedBy as specified.
  `void`
  `setLastModifiedDatetime(Calendar lastModifiedDatetime)`
  Sets the lastModifiedDatetime as specified.
  `void`
  `setLength(String length)`
  Sets the Column length as specified.
  `void`
  `setLogicalColumnName(String logicalColumnName)`
  Sets the Column logicalColumnName as specified.
  `void`
  `setMaximumValue(String maximumValue)`
  Sets the column maximumValue as specified.
  `void`
  `setMetadataSource(String metadataSource)`
  Sets the metadataSource as specified.
  `void`
  `setMinimumValue(String minimumValue)`
  Sets the Column minimumValue as specified.
  `void`
  `setNaturalKeyFlag(boolean naturalKeyFlag)`
  Sets the Column naturalKeyFlag as specified.
  `void`
  `setNullableFlag(boolean nullableFlag)`
  Sets the nullableFlag as specified.
  `void`
  `setPercentNullValue(String percentNullValue)`
  Sets the Column percentNullValue as specified.
  `void`
  `setPhysicalColumnName(String physicalColumnName)`
  `void`
  `setPrecision(String precision)`
  Sets the Column precision as specified.
  `void`
  `setPrefix(String prefix)`
  Sets the prefix as specified.
  `void`
  `setPrimaryKeyFlag(boolean primaryKeyFlag)`
  Sets the Column primaryKeyFlag as specified.
  `void`
  `setPrimaryKeyName(String primaryKeyName)`
  Sets the primaryKeyName as specified.
  `void`
  `setPsudoCode(String psudoCode)`
  Sets the pseudocode as specified.
  `void`
  `setReferenceId(String referenceId)`
  Sets the referenceId as specified.
  `void`
  `setReferenceTable(DBTable referenceTable)`
  `void`
  `setRowCount(long rowCount)`
  `void`
  `setScale(String scale)`
  Sets the Column Scale as specified.
  `void`
  `setSDIClassificationId(int sdiClassificationId)`
  `void`
  `setSdiClassifications(List<SDIClassification> sdiClassifications)`
  `void`
  `setSdiDescription(String sdiDescription)`
  Sets the sdiDescription as specified.
  `void`
  `setSdiFlag(boolean sdiFlag)`
  Sets the sdiFlag as specified.
  `void`
  `setSTCMId(int stcmId)`
  Sets the stcmId as specified.
  `void`
  `setStorageType(String storageType)`
  Sets the storageType as specified
  `void`
  `setTable(DBTable table)`
  Sets the DBTable as specified.
  `void`
  `setTags(List<Tag> tags)`
  `void`
  `setTransformationScope(String transformationScope)`
  Sets the transformationScope as specified.
  `void`
  `setTransName(String transName)`
  Sets the transName as specified.
  `void`
  `setUsedInGapAnalysis(String usedInGapAnalysis)`
  Sets the usedInGapAnalysis value as specified.
  `void`
  `setUserData(Object userData)`
  Sets the userData as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Sets the userDefined1 Field as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Sets the userDefined10 field as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Sets the userDefined2 Field as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Sets the userDefined3 Field as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Sets the userDefined4 Field as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Sets the userDefined Field5 as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Sets the userDefined6 field as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Sets the userDefined7 field as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Sets the userDefined8 field as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Sets the userDefined9 field as specified.
  `void`
  `setValid(boolean valid)`
  Sets the valid as specified.
  `void`
  `setValidValues(List<com.icc.codesetmanager.vo.CodeVo> validValues)`
  `String`
  `toString()`
  Returns the String Representation.
  `boolean`
  `validate()`
  `boolean`
  `validateMandatoryFields()`

  ### Methods inherited from class com.ads.mm.db.dao.DBComponent

  `getDataStewardName, isMarked, setDataStewardName, setMarked`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DBColumn

    public DBColumn()

  - ### DBColumn

    public DBColumn(String colName)

- ## Method Details

  - ### getTable

    public DBTable getTable()
    Returns the DBTable Object
    Returns:
      DBTable - Object

  - ### setTable

    public void setTable(DBTable table)
    Sets the DBTable as specified.
    Parameters:
      `table` - DBTable

  - ### getColumnName

    public String getColumnName()
    Returns the columnName.
    Returns:
      String - columnName

  - ### setColumnName

    public void setColumnName(String columnName)
    Sets the columnName as specified.
    Parameters:
      `columnName` - String

  - ### getDatatype

    public String getDatatype()
    Returns the datatype.
    Returns:
      String - datatype

  - ### setDatatype

    public void setDatatype(String datatype)
    Sets the datatype as specified.
    Parameters:
      `datatype` - String

  - ### getStorageType

    public String getStorageType()
    Returns the storageType.
    Returns:
      String - storageType

  - ### setStorageType

    public void setStorageType(String storageType)
    Sets the storageType as specified
    Parameters:
      `storageType` - String

  - ### getLength

    public String getLength()
    Returns the Column length.
    Returns:
      String - length

  - ### setLength

    public void setLength(String length)
    Sets the Column length as specified.
    Parameters:
      `length` - String

  - ### getPrecision

    public String getPrecision()
    Returns the Column precision.
    Returns:
      String - precision

  - ### setPrecision

    public void setPrecision(String precision)
    Sets the Column precision as specified.
    Parameters:
      `precision` - String

  - ### getDBDefaultValue

    public String getDBDefaultValue()
    Returns the Column dbDefaultValue.
    Returns:
      String - dbDefaultValue

  - ### setDBDefaultValue

    public void setDBDefaultValue(String dbDefaultValue)
    Sets the Column dbDefaultValue as specified.
    Parameters:
      `dbDefaultValue` - String

  - ### getETLDefaultValue

    public String getETLDefaultValue()
    Returns the Column etlDefaultValue.
    Returns:
      String - etlDefaultValue

  - ### setETLDefaultValue

    public void setETLDefaultValue(String etlDefaultValue)
    Sets the Column etlDefaultValue as specified.
    Parameters:
      `etlDefaultValue` - String

  - ### isIdentityFlag

    public boolean isIdentityFlag()
    Returns the identityFlag.
    Returns:
      boolean identityFlag

  - ### setIdentityFlag

    public void setIdentityFlag(boolean identityFlag)
    Sets the identityFlag as specified.
    Parameters:
      `identityFlag` - boolean

  - ### getDefinition

    public String getDefinition()
    Returns the Column definition.
    Returns:
      String definition

  - ### setDefinition

    public void setDefinition(String definition)
    Sets the Column definition as specified.
    Parameters:
      `definition` - String

  - ### getCreatedBy

    public String getCreatedBy()
    Returns the createdBy.
    Returns:
      String createdBy

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets the createdBy as specified.
    Parameters:
      `createdBy` - String

  - ### getCreatedDatetime

    public Calendar getCreatedDatetime()
    Returns the createdDatetime.
    Returns:
      Calendar - createdDatetime

  - ### setCreatedDatetime

    public void setCreatedDatetime(Calendar createdDatetime)
    Sets the createdDatetime as specified.
    Parameters:
      `createdDatetime` - Calendar

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns the lastModifiedBy.
    Returns:
      String lastModifiedBy

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Sets the lastModifiedBy as specified.
    Parameters:
      `lastModifiedBy` - String

  - ### getLastModifiedDatetime

    public Calendar getLastModifiedDatetime()
    Returns the lastModifiedDatetime.
    Returns:
      Calendar lastModifiedDatetime

  - ### setLastModifiedDatetime

    public void setLastModifiedDatetime(Calendar lastModifiedDatetime)
    Sets the lastModifiedDatetime as specified.
    Parameters:
      `lastModifiedDatetime` - Calendar

  - ### isNullableFlag

    public boolean isNullableFlag()
    Returns the nullableFlag value.
    Returns:
      boolean nullableFlag

  - ### setNullableFlag

    public void setNullableFlag(boolean nullableFlag)
    Sets the nullableFlag as specified.
    Parameters:
      `nullableFlag` - boolean

  - ### getMinimumValue

    public String getMinimumValue()
    Returns the Column minimumValue.
    Returns:
      String minimumValue

  - ### setMinimumValue

    public void setMinimumValue(String minimumValue)
    Sets the Column minimumValue as specified.
    Parameters:
      `minimumValue` - String

  - ### getMaximumValue

    public String getMaximumValue()
    Returns the column maximumValue.
    Returns:
      String maximumValue

  - ### setMaximumValue

    public void setMaximumValue(String maximumValue)
    Sets the column maximumValue as specified.
    Parameters:
      `maximumValue` - String

  - ### getPercentNullValue

    public String getPercentNullValue()
    Returns the Column percentNullValue.
    Returns:
      String percentNullValue

  - ### setPercentNullValue

    public void setPercentNullValue(String percentNullValue)
    Sets the Column percentNullValue as specified.
    Parameters:
      `percentNullValue` - String

  - ### getScale

    public String getScale()
    Returns the Column scale.
    Returns:
      String scale

  - ### setScale

    public void setScale(String scale)
    Sets the Column Scale as specified.
    Parameters:
      `scale` - String

  - ### isPrimaryKeyFlag

    public boolean isPrimaryKeyFlag()
    Returns the Column primaryKeyFlag.
    Returns:
      boolean primaryKeyFlag

  - ### setPrimaryKeyFlag

    public void setPrimaryKeyFlag(boolean primaryKeyFlag)
    Sets the Column primaryKeyFlag as specified.
    Parameters:
      `primaryKeyFlag` - boolean

  - ### isNaturalKeyFlag

    public boolean isNaturalKeyFlag()
    Returns the Column naturalKeyFlag.
    Returns:
      boolean naturalKeyFlag

  - ### setNaturalKeyFlag

    public void setNaturalKeyFlag(boolean naturalKeyFlag)
    Sets the Column naturalKeyFlag as specified.
    Parameters:
      `naturalKeyFlag` - boolean

  - ### isForeignKeyFlag

    public boolean isForeignKeyFlag()
    Returns the Column foreignKeyFlag.
    Returns:
      boolean foreignKeyFlag

  - ### setForeignKeyFlag

    public void setForeignKeyFlag(boolean foreignKeyFlag)
    Sets the Column foreignKeyFlag as specified.
    Parameters:
      `foreignKeyFlag` - boolean

  - ### getForeignKeyTableName

    public String getForeignKeyTableName()
    Returns the Column foreignKeyTableName.
    Returns:
      String foreignKeyTableName

  - ### setForeignKeyTableName

    public void setForeignKeyTableName(String foreignKeyTableName)
    Sets the Column foreignKeyTableName as specified.
    Parameters:
      `foreignKeyTableName` - String

  - ### addForeignKeyTableName

    public void addForeignKeyTableName(String foreignKeyTableName)
    Appends the Column foreignKeyTableName as specified.
    Parameters:
      `foreignKeyTableName` - String

  - ### getForeignKeyColumnName

    public String getForeignKeyColumnName()
    Returns the foreignKeyColumnName.
    Returns:
      String foreignKeyColumnName

  - ### addForeignKeyColumnName

    public void addForeignKeyColumnName(String foreignKeyColumnName)
    Appends the foreignKeyColumnName as specified.
    Parameters:
      `foreignKeyColumnName` - String

  - ### setForeignKeyColumnName

    public void setForeignKeyColumnName(String foreignKeyColumnName)
    Sets the foreignKeyColumnName as specified.
    Parameters:
      `foreignKeyColumnName` - String

  - ### getDataDomain

    public String getDataDomain()
    Returns the Column dataDomain.
    Returns:
      String dataDomain

  - ### setDataDomain

    public void setDataDomain(String dataDomain)
    Sets the Column dataDomain as specified.
    Parameters:
      `dataDomain` - String

  - ### getLogicalColumnName

    public String getLogicalColumnName()
    Returns the Column logicalColumnName.
    Returns:
      String logicalColumnName

  - ### setLogicalColumnName

    public void setLogicalColumnName(String logicalColumnName)
    Sets the Column logicalColumnName as specified.
    Parameters:
      `logicalColumnName` - String

  - ### isSdiFlag

    public boolean isSdiFlag()
    Returns the sdiFlag value.
    Returns:
      boolean sdiFlag

  - ### setSdiFlag

    public void setSdiFlag(boolean sdiFlag)
    Sets the sdiFlag as specified.
    Parameters:
      `sdiFlag` - boolean

  - ### getSdiDescription

    public String getSdiDescription()
    Returns the sdiDescription.
    Returns:
      String sdiDescription

  - ### setSdiDescription

    public void setSdiDescription(String sdiDescription)
    Sets the sdiDescription as specified.
    Parameters:
      `sdiDescription` - String

  - ### getSDIClassificationId

    public int getSDIClassificationId()
    Returns:

  - ### setSDIClassificationId

    public void setSDIClassificationId(int sdiClassificationId)
    Parameters:
      `sdiClassificationId` -

  - ### isValid

    public boolean isValid()
    Returns the valid value.
    Returns:
      boolean valid

  - ### setValid

    public void setValid(boolean valid)
    Sets the valid as specified.
    Parameters:
      `valid` - boolean

  - ### getInsertOrder

    public int getInsertOrder()
    Returns the insertOrder.
    Returns:
      int insertOrder

  - ### setInsertOrder

    public void setInsertOrder(int insertOrder)
    Sets the insertOrder as specified.
    Parameters:
      `insertOrder` - int

  - ### getColumnComments

    public String getColumnComments()
    Returns the columnComments.
    Returns:
      String columnComments

  - ### setColumnComments

    public void setColumnComments(String columnComments)
    Sets the columnComments as specified.
    Parameters:
      `columnComments` - String

  - ### getUserDefined1

    public String getUserDefined1()
    Returns the userDefined1 Field.
    Returns:
      String userDefined1

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Sets the userDefined1 Field as specified.
    Parameters:
      `userDefined1` - String

  - ### getUserDefined2

    public String getUserDefined2()
    Returns the userDefined2 Field.
    Returns:
      String userDefined2

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Sets the userDefined2 Field as specified.
    Parameters:
      `userDefined2` - String

  - ### getUserDefined3

    public String getUserDefined3()
    Returns the userDefined3 Field.
    Returns:
      String userDefined3

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Sets the userDefined3 Field as specified.
    Parameters:
      `userDefined3` - String

  - ### getUserDefined4

    public String getUserDefined4()
    Returns the userDefined4 Field.
    Returns:
      String userDefined4

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Sets the userDefined4 Field as specified.
    Parameters:
      `userDefined4` - String

  - ### getUserDefined5

    public String getUserDefined5()
    Returns the userDefined5 Field.
    Returns:
      String userDefined5

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Sets the userDefined Field5 as specified.
    Parameters:
      `userDefined5` - String

  - ### getReferenceId

    public String getReferenceId()
    Returns the referenceId.
    Returns:
      String referenceId

  - ### setReferenceId

    public void setReferenceId(String referenceId)
    Sets the referenceId as specified.
    Parameters:
      `referenceId` - String

  - ### getForeignReferenceId

    public String getForeignReferenceId()
    Returns the foreignReferenceId.
    Returns:
      String foreignReferenceId

  - ### setForeignReferenceId

    public void setForeignReferenceId(String foreignReferenceId)
    Sets the foreignReferenceId as specified.
    Parameters:
      `foreignReferenceId` - String

  - ### getEntityBaseType

    public DBTable.EntityBaseType getEntityBaseType()
    Returns the entityBaseType.
    Returns:
      DBTable - entityBaseType

  - ### setEntityBaseType

    public void setEntityBaseType(DBTable.EntityBaseType entityBaseType)
    Sets the entityBaseType as specified.
    Parameters:
      `entityBaseType` - - DBTable

  - ### getPrefix

    public String getPrefix()
    Returns the column prefix.
    Returns:
      String prefix

  - ### setPrefix

    public void setPrefix(String prefix)
    Sets the prefix as specified.
    Parameters:
      `prefix` - String

  - ### getPrimaryKeyName

    public String getPrimaryKeyName()
    Returns the primaryKeyName.
    Returns:
      String primaryKeyName

  - ### setPrimaryKeyName

    public void setPrimaryKeyName(String primaryKeyName)
    Sets the primaryKeyName as specified.
    Parameters:
      `primaryKeyName` - String

  - ### getForeignKeyName

    public String getForeignKeyName()
    Returns the Column foreignKeyName.
    Returns:
      String foreignKeyName

  - ### setForeignKeyName

    public void setForeignKeyName(String foreignKeyName)
    Sets the foreignKeyName as specified.
    Parameters:
      `foreignKeyName` - String

  - ### getUserData

    public Object getUserData()
    Returns the userData.
    Returns:
      Object userData

  - ### setUserData

    public void setUserData(Object userData)
    Sets the userData as specified.
    Parameters:
      `userData` - Object

  - ### getDBOperationHelper

    public DBOperationHelper getDBOperationHelper()
    Returns the dbOperationHelper.
    Returns:
      DBOperationHelper - Object - dbOperationStatus

  - ### setDBOperationHelper

    public void setDBOperationHelper(DBOperationHelper dbOperationStatus)
    Sets the dbOperationHelper as specified.
    Parameters:
      `dbOperationStatus` - DBOperationHelper

  - ### getUsedInGapAnalysis

    public String getUsedInGapAnalysis()
    Returns the usedInGapAnalysis value.
    Returns:
      String usedInGapAnalysis

  - ### setUsedInGapAnalysis

    public void setUsedInGapAnalysis(String usedInGapAnalysis)
    Sets the usedInGapAnalysis value as specified.
    Parameters:
      `usedInGapAnalysis` - String

  - ### getTransName

    public String getTransName()
    Returns the transName.
    Returns:
      String transName

  - ### getPsudoCode

    public String getPsudoCode()
    Returns the psudoCode.
    Returns:
      String psudoCode

  - ### getIntendedDesc

    public String getIntendedDesc()
    Returns the Column intended description.
    Returns:
      String intendedDesc

  - ### setTransName

    public void setTransName(String transName)
    Sets the transName as specified.
    Parameters:
      `transName` - String

  - ### setPsudoCode

    public void setPsudoCode(String psudoCode)
    Sets the pseudocode as specified.
    Parameters:
      `psudoCode` - String

  - ### setIntendedDesc

    public void setIntendedDesc(String intendedDesc)
    Sets the Column Intended Description.
    Parameters:
      `intendedDesc` - String

  - ### getTransformationScope

    public String getTransformationScope()
    Returns the transformationScope.
    Returns:
      String transformationScope

  - ### setDbOperationHelper

    public void setDbOperationHelper(DBOperationHelper dbOperationHelper)
    Sets the transformationScope as specified.
    Parameters:
      `dbOperationHelper` - DBOperationHelper

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Sets the userDefined10 field as specified.
    Parameters:
      `userDefined10` - String

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Sets the userDefined6 field as specified.
    Parameters:
      `userDefined6` - String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Sets the userDefined7 field as specified.
    Parameters:
      `userDefined7` - String

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Sets the userDefined8 field as specified.
    Parameters:
      `userDefined8` - String

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Sets the userDefined9 field as specified.
    Parameters:
      `userDefined9` - String

  - ### setTransformationScope

    public void setTransformationScope(String transformationScope)
    Sets the transformationScope as specified.
    Parameters:
      `transformationScope` - String

  - ### getFileStartingPosition

    public String getFileStartingPosition()
    Returns the fileStartingPosition.
    Returns:
      String fileStartingPosition

  - ### setFileStartingPosition

    public void setFileStartingPosition(String fileStartingPosition)
    Sets the fileStartingPosition as specified.
    Parameters:
      `fileStartingPosition` - String

  - ### clone

    protected Object clone() throws CloneNotSupportedException
    clone method creates a copy of the object.
    Overrides:
      `clone` in class `Object`
    Returns:
      Object
    Throws:
      `CloneNotSupportedException`

  - ### getDbOperationHelper

    public DBOperationHelper getDbOperationHelper()
    Returns the dbOperationHelper.
    Returns:
      DBOperationHelper Object

  - ### getUserDefined10

    public String getUserDefined10()
    Returns the userDefined10 Field.
    Returns:
      userDefined10 - String

  - ### getUserDefined6

    public String getUserDefined6()
    Returns the userDefined6 Field.
    Returns:
      userDefined6 - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns the userDefined7 Field.
    Returns:
      userDefined7 - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns the userDefined8 Field.
    Returns:
      userDefined8 - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns the userDefined9 Field.
    Returns:
      userDefined9 - String

  - ### getColumnAlias

    public String getColumnAlias()
    Returns the columnAlias
    Returns:
      columnAlias - String

  - ### setColumnAlias

    public void setColumnAlias(String columnAlias)
    Sets the columnAlias as specified.
    Parameters:
      `columnAlias` - - String

  - ### getColumnClass

    public String getColumnClass()
    Returns the columnClass.
    Returns:
      columnClass - String

  - ### setColumnClass

    public void setColumnClass(String columnClass)
    Sets the columnClass as specified.
    Parameters:
      `columnClass` - String

  - ### getBusinessKeyFlag

    public String getBusinessKeyFlag()
    Returns the Column businessKeyFlag.
    Returns:
      businessKeyFlag - String

  - ### setBusinessKeyFlag

    public void setBusinessKeyFlag(String businessKeyFlag)
    Sets Column businessKeyFlag as specified.
    Parameters:
      `businessKeyFlag` - String

  - ### getDBOperation

    public DBEnvironment.DBOperation getDBOperation()
    Returns the dbOperation.
    Returns:
      the dbOperation

  - ### setDBOperation

    public void setDBOperation(DBEnvironment.DBOperation dbOperation)
    Sets the dbOperation as specified.
    Parameters:
      `dbOperation` - the dbOperation to set

  - ### toString

    public String toString()
    Returns the String Representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      String

  - ### getSTCMId

    public int getSTCMId()
    Returns the stcmId.
    Returns:
      stcmId - int

  - ### setSTCMId

    public void setSTCMId(int stcmId)
    Sets the stcmId as specified.
    Parameters:
      `stcmId` - int

  - ### getIsPublished

    public String getIsPublished()
    Returns the isPublished value.
    Returns:
      String

  - ### setIsPublished

    public void setIsPublished(String isPublished)
    Sets the isPublished as specified.
    Parameters:
      `isPublished` - String

  - ### getMetadataSource

    public String getMetadataSource()
    Returns the metadataSource.
    Returns:

  - ### setMetadataSource

    public void setMetadataSource(String metadataSource)
    Sets the metadataSource as specified.
    Parameters:
      `metadataSource` -

  - ### equals

    public boolean equals(Object obj)
    equals method used to compare objects and return boolean value as true or false.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - Object
    Returns:
      True or False

  - ### hashCode

    public int hashCode()
    hashCode method is used to generate integer code corresponding to the Object.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      integer - 0, 1 depending on the hashCodes.

  - ### createCopy

    public DBColumn createCopy()

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()

  - ### setExtendedProperties

    public DBColumn setExtendedProperties(List<KeyValue> extendedProperties)

  - ### addExtendedProperty

    public DBColumn addExtendedProperty(KeyValue systemKeyValuesVo)

  - ### getTags

    public List<Tag> getTags()

  - ### setTags

    public void setTags(List<Tag> tags)

  - ### addTag

    public DBColumn addTag(Tag tagvo)

  - ### getAssociationsList

    public List<com.ads.association.export.model.ExportedAssociation> getAssociationsList()
    It will not return any associations particular to this object as it is being used internally. Please use Associations api to fetch the associations.
    Returns:
      list of associations

  - ### setAssociationsList

    public DBColumn setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)
    It will not set any associations particular to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### addAssociationsList

    public DBColumn addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)
    It will not add association to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### getColumnIndexes

    public List<DBIndex> getColumnIndexes()
    Returns:

  - ### setColumnIndexes

    public DBColumn setColumnIndexes(List<DBIndex> columnIndexes)
    Parameters:
      `columnIndexes` -
    Returns:

  - ### getColumnIndex

    public DBIndex getColumnIndex(String indexName)

  - ### addColumnIndex

    public DBColumn addColumnIndex(DBIndex columnIndex)

  - ### getValidValues

    public List<com.icc.codesetmanager.vo.CodeVo> getValidValues()
    Returns:

  - ### setValidValues

    public void setValidValues(List<com.icc.codesetmanager.vo.CodeVo> validValues)
    Parameters:
      `validValues` -

  - ### addValidValues

    public DBColumn addValidValues(com.icc.codesetmanager.vo.CodeVo validValue)
    Parameters:
      `validValue` -
    Returns:

  - ### addColumnValidValues

    public DBColumn addColumnValidValues(com.icc.codesetmanager.vo.CodeVo validValue)

  - ### getCodeValueById

    public com.icc.codesetmanager.vo.CodeVo getCodeValueById(String codeId)
    Parameters:
      `codeId` -
    Returns:

  - ### getCodeValue

    public com.icc.codesetmanager.vo.CodeVo getCodeValue(String codeName, String codeValue)
    Parameters:
      `codeName` -
      `codeValue` -
    Returns:

  - ### getExpandedLogicalName

    public String getExpandedLogicalName()
    Returns:

  - ### setExpandedLogicalName

    public void setExpandedLogicalName(String expandedLogicalName)
    Parameters:
      `expandedLogicalName` -

  - ### getAssociatedBusinessTerm

    public String getAssociatedBusinessTerm()
    Returns:

  - ### setAssociatedBusinessTerm

    public void setAssociatedBusinessTerm(String associatedBusinessTerm)
    Parameters:
      `associatedBusinessTerm` -

  - ### getAssociatedBusinessTermId

    public int getAssociatedBusinessTermId()
    Returns:

  - ### setAssociatedBusinessTermId

    public void setAssociatedBusinessTermId(int associatedBusinessTermId)
    Parameters:
      `associatedBusinessTermId` -

  - ### isElnExpanded

    public boolean isElnExpanded()
    Returns:

  - ### setElnExpanded

    public void setElnExpanded(boolean elnExpanded)
    Parameters:
      `elnExpanded` -

  - ### getDeclarationPath

    public String getDeclarationPath()
    Returns:
      the declarationPath

  - ### setDeclarationPath

    public void setDeclarationPath(String declarationPath)
    Parameters:
      `declarationPath` - the declarationPath to set

  - ### getPhysicalColumnName

    public String getPhysicalColumnName()
    Returns:
      the physicalColumnName

  - ### setPhysicalColumnName

    public void setPhysicalColumnName(String physicalColumnName)
    Parameters:
      `physicalColumnName` - the physicalColumnName to set

  - ### getIncludeInDataProfile

    public String getIncludeInDataProfile()
    Returns:
      the includeInDataProfile

  - ### setIncludeInDataProfile

    public void setIncludeInDataProfile(String includeInDataProfile)
    Parameters:
      `includeInDataProfile` - the includeInDataProfile to set

  - ### getDataProfileJobState

    public String getDataProfileJobState()
    Returns:
      the dataProfileJobState

  - ### setDataProfileJobState

    public void setDataProfileJobState(String dataProfileJobState)
    Parameters:
      `dataProfileJobState` - the dataProfileJobState to set

  - ### getDataProfileJobFailReason

    public String getDataProfileJobFailReason()
    Returns:
      the dataProfileJobFailReason

  - ### setDataProfileJobFailReason

    public void setDataProfileJobFailReason(String dataProfileJobFailReason)
    Parameters:
      `dataProfileJobFailReason` - the dataProfileJobFailReason to set

  - ### getDataProfileStartDate

    public Calendar getDataProfileStartDate()
    Returns:
      the dataProfileStartDate

  - ### setDataProfileStartDate

    public void setDataProfileStartDate(Calendar dataProfileStartDate)
    Parameters:
      `dataProfileStartDate` - the dataProfileStartDate to set

  - ### getDataProfileEndDate

    public Calendar getDataProfileEndDate()
    Returns:
      the dataProfileEndDate

  - ### setDataProfileEndDate

    public void setDataProfileEndDate(Calendar dataProfileEndDate)
    Parameters:
      `dataProfileEndDate` - the dataProfileEndDate to set

  - ### getDataProfileScoreId

    public int getDataProfileScoreId()

  - ### setDataProfileScoreId

    public void setDataProfileScoreId(int dataProfileScoreId)

  - ### getRowCount

    public long getRowCount()

  - ### setRowCount

    public void setRowCount(long rowCount)

  - ### getSdiClassifications

    public List<SDIClassification> getSdiClassifications()

  - ### setSdiClassifications

    public void setSdiClassifications(List<SDIClassification> sdiClassifications)

  - ### getDqToolProfileId

    public String getDqToolProfileId()

  - ### setDqToolProfileId

    public void setDqToolProfileId(String dqToolProfileId)

  - ### getDataQualityScore

    public float getDataQualityScore()

  - ### setDataQualityScore

    public void setDataQualityScore(float dataQualityScore)

  - ### validate

    public boolean validate()

  - ### validateMandatoryFields

    public boolean validateMandatoryFields()

  - ### getReferenceTable

    public DBTable getReferenceTable()
    Returns:
      the referenceTable

  - ### setReferenceTable

    public void setReferenceTable(DBTable referenceTable)
    Parameters:
      `referenceTable` - the referenceTable to set